@import "../mixins/mixins";

.machinery-fleet {
	margin-top: 160px;

	&__header {
		@include PosElFlex(flex, column, left, flex-start);
		margin-bottom: 0px;
	}

	&__title {
		font-family: $font_Gilam;
		font-weight: 700;
		font-size: 50px;
		line-height: 28px;
		color: $main_color_text;
		padding-bottom: 0px;
		margin-top: 0px;
		margin-bottom: 0px;
	}
}

.machinery-list {
	padding-top: 94px;
	list-style: none;
	margin-top: 0px;
	margin-bottom: 0px;
	padding-left: 0px;

	font-weight: 700;
	text-align: center;
	font-size: 22px;
	font-family: $font_Gilam;

	display: grid;
	grid-template-rows: 3fr;
	grid-template-columns: repeat(3, 1fr);
	grid-gap: 25px;
	justify-content: center;
	position: relative;
	grid-template-areas:
		"veh1 veh2 veh3"
		"veh4 veh2 veh5"
		"veh4 veh6 veh5"
		"veh4 veh6 veh7";


	&__one {
		grid-area: veh1;
		background: #0E0E0E;
		background-size: cover;
		padding-top: 44px;
		padding-left: 52px;
		padding-bottom: 219px;
	}

	&__two {
		grid-area: veh2;
		background-color: #242424;
		padding-top: 44px;
		padding-left: 51px;
		padding-bottom: 345px;
	}

	&__three {
		grid-area: veh3;
		background-color: #1F1F1F;
		padding-top: 44px;
		padding-left: 48px;
		padding-bottom: 186px;
	}

	&__four {
		grid-area: veh4;
		background-color: #1F1F1F;
		padding-top: 56px;
		padding-left: 52px;
		padding-bottom: 479px;
	}

	&__five {
		grid-area: veh6;
		background-color: $color_link;
		padding-left: 52px;
		padding-top: 47px;
		padding-bottom: 343px;
		text-align: start;
	}

	&__six {
		grid-area: veh5;
		background-color: #0E0E0E;
		padding-top: 44px;
		padding-left: 48px;
		padding-bottom: 244px;
	}

	&__seven {
		grid-area: veh7;
		background-color: #0e0e0e;
		padding-top: 44px;
		padding-left: 48px;
		padding-bottom: 208px;
	}

	&__name {
		font-family: $font_Gilam;
		font-weight: 700;
		font-size: 20px;
		line-height: 25px;
		text-align: start;
		color: $first_color_text;

		&--excavator {
			color: $secondary_color_text;
		}

	}

	&__subname {
		font-family: $font_Gilam;
		font-weight: 400;
		font-size: 20px;
		line-height: 25px;
		text-align: start;
		color: $first_color_text;
	}
}



// .outdoor-heat-networks__service-list {
// 	padding-top: 20px;
// 	list-style: none;
// 	margin-top: 0px;
// 	margin-bottom: 0px;
// 	padding-left: 0px;

// 	display: grid;
// 	grid-template-rows: 2fr;
// 	grid-template-columns: repeat(3, 1fr);
// 	grid-gap: 27px;
// 	justify-content: center;
// 	position: relative;
// 	grid-template-areas:
// 		"a a b b c c"
// 		"d d d e e e";
// }

// .service-list__first {
// 	grid-area: a;
// 	background: #634F2C;
// 	background-size: cover;
// 	padding: 220px 118px;
// }

// .service-list__second {
// 	grid-area: b;
// 	background-color: #B4A385;
// 	padding: 205px 43px;
// }

// .service-list__third {
// 	grid-area: c;
// 	background-color: $color_link;
// 	padding: 220px 118px;
// }

// .service-list__fourth {
// 	grid-area: d;
// 	background-color: #635A4A;
// 	padding: 220px 162px;
// }

// .service-list__fifth {
// 	grid-area: e;
// 	background-color: #B08C4D;
// 	padding: 220px 237px;
// }


// .service-list__name {
// 	font-family: $font_Gilam;
// 	font-weight: 400;
// 	font-size: 20px;
// 	line-height: 28px;
// 	text-align: center;
// 	color: $first_color_text;

// }